de.caff.util.settings.swing

## Class SwingTextProperty

- java.lang.Object
- - de.caff.util.settings.AbstractBasicChangeableItem
  - - de.caff.util.settings.AbstractBasicLocalizableChangeableItem
    - - de.caff.util.settings.swing.AbstractBasicSimpleEditableChangeableItem
      - - de.caff.util.settings.swing.SwingTextProperty

- All Implemented Interfaces:
    ChangeableItem, Property<java.lang.String>, EditableProperty, java.io.Serializable

      public class SwingTextProperty
      extends AbstractBasicSimpleEditableChangeableItem
      implements Property<java.lang.String>

  Simple one-line String property.
  Author:
    Rammi
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected boolean` | `autoSave` Save values automatically?
    `protected java.lang.String` | `value` The string value.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SwingTextProperty(java.lang.String basicName, java.lang.String baseTag, boolean autoSave, java.lang.String value, int rows, int columns)` Constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getColumns()` Get the colunns which the editor should provide.
    `EditorProvider` | `getEditorProvider(java.util.Locale l)` Get the editor components for editing this preference property.
    `int` | `getRows()` Get the rows which the editor should provide.
    `java.lang.String` | `getValue()` Get the string value.
    `void` | `setValue(java.lang.String value)` Set the value.

    - ### Methods inherited from class de.caff.util.settings.AbstractBasicLocalizableChangeableItem

      `getBaseTag, getLabelString, getMenuString, getName, getString`

    - ### Methods inherited from class de.caff.util.settings.AbstractBasicChangeableItem

      `addValueChangeListener, addValueChangeListenerWeakly, firePropertyChange, fireValueChange, fireValueChange, fireValueChange, getBasicName, getPropertyName, removeValueChangeListener, removeValueChangeListenerWeakly`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface de.caff.util.settings.ChangeableItem

      `addValueChangeListener, addValueChangeListenerWeakly, removeValueChangeListener, removeValueChangeListenerWeakly`

    - ### Methods inherited from interface de.caff.util.settings.swing.EditableProperty

      `getName`

- - ### Field Detail

    - #### autoSave

          protected final boolean autoSave

      Save values automatically?

    - #### value

          protected java.lang.String value

      The string value.

  - ### Constructor Detail

    - #### SwingTextProperty

          public SwingTextProperty(@NotNull
                                   java.lang.String basicName,
                                   @NotNull
                                   java.lang.String baseTag,
                                   boolean autoSave,
                                   java.lang.String value,
                                   int rows,
                                   int columns)

      Constructor.
      Parameters:
        `basicName` - basic name
        `baseTag` - base tag
        `autoSave` - automatically save changes?
        `value` - text value
        `rows` - rows of editor
        `columns` - columns of editor

  - ### Method Detail

    - #### getEditorProvider

          @NotNull
          public EditorProvider getEditorProvider(@Nullable
                                                           java.util.Locale l)

      Get the editor components for editing this preference property.
      Specified by:
        `getEditorProvider` in interface `EditableProperty`
      Parameters:
        `l` - locale used for i18n
      Returns:
        editor component

    - #### getValue

          public java.lang.String getValue()

      Get the string value.
      Specified by:
        `getValue` in interface `Property<java.lang.String>`
      Returns:
        string value

    - #### setValue

          public void setValue(java.lang.String value)

      Set the value.
      Specified by:
        `setValue` in interface `Property<java.lang.String>`
      Parameters:
        `value` - string value

    - #### getRows

          public int getRows()

      Get the rows which the editor should provide.
      Returns:
        editor rows

    - #### getColumns

          public int getColumns()

      Get the colunns which the editor should provide.
      Returns:
        editor columns